# $Revision: 1.16 $, $Date: 2004/02/03 00:20:00 $
Summary:	Breakout-style aracade game using SDL
Summary(pl):	Gra w stylu Breakout uywajca SDL
Name:		lbreakout
Version:	010315
Release:	3
License:	GPL v2+
Group:		X11/Applications/Games
Source0:	http://dl.sourceforge.net/lgames/%{name}-%{version}.tar.gz
# Source0-md5:	0597b94c2c954aa820aa03324a5aaab4
Source1:	%{name}.desktop
Patch0:		%{name}-highscore_dir.patch
Patch1:		%{name}-segv.patch
Patch2:		%{name}-security.patch
URL:		http://lgames.sourceforge.net/
BuildRequires:	SDL-devel
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libstdc++-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_localstatedir	/var

%description
LBreakout is a breakout game with nice graphics, effects and sound.
You can play it either with mouse or keyboard and you can create your
own levels.

%description -l pl
LBreakout to gra breakout z przyjemn grafik, efektami i dwikiem.
Mona gra mysz lub klawiatur oraz tworzy wasne poziomy.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_desktopdir},%{_localstatedir}/games}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README lbreakout/manual
%attr(2755,root,games) %{_bindir}/lbreakout
%{_datadir}/games/lbreakout
%attr(664,root,games) %config(noreplace) %verify(not mtime md5 size) %{_localstatedir}/games/lbreakout*
%{_desktopdir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: lbreakout.spec,v $
Revision 1.16  2004/02/03 00:20:00  qboosh
- added segv,security patches (kill SEGV and buffer overflow through $HOME)
- switched to desktopdir, release 3

Revision 1.15  2003/05/28 12:59:25  malekith
- massive attack: source-md5

Revision 1.14  2003/05/25 05:49:39  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.13  2003/04/03 20:49:17  qboosh
- release 2

Revision 1.12  2003/01/18 22:53:33  juandon
- removed two lines with define

Revision 1.11  2002/10/09 13:14:36  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.10  2002/08/31 09:21:48  qboosh
- updated to 010315, added doc, BR: libstdc++-devel

Revision 1.9  2002/05/21 23:13:42  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.8  2002/03/24 23:28:20  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.7  2002/02/23 03:26:00  kloczek
- adapterized.

Revision 1.6  2002/02/22 23:29:09  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.5  2002/01/18 02:13:36  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.4  2001/12/03 10:06:36  qboosh
- marked pl summary as pl, added pl description, adapterized; release 3

Revision 1.3  2001/10/01 18:06:15  blues
- release 2
- ac2.5 ready
- some translations

Revision 1.2  2000/11/27 11:30:42  jajcus
- updated to 001104

Revision 1.1  2000/11/13 10:52:02  jajcus
- initial spec
